/*******************************************************************************
* File Name: VDAC1_direct.c  
* Version 2.10
*
* Description:
*  This file contains API to enable firmware control of a Pins component.
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "cytypes.h"
#include "VDAC1_direct.h"

/* APIs are not generated for P15[7:6] on PSoC 5 */
#if !(CY_PSOC5A &&\
	 VDAC1_direct__PORT == 15 && ((VDAC1_direct__MASK & 0xC0) != 0))


/*******************************************************************************
* Function Name: VDAC1_direct_Write
********************************************************************************
*
* Summary:
*  Assign a new value to the digital port's data output register.  
*
* Parameters:  
*  prtValue:  The value to be assigned to the Digital Port. 
*
* Return: 
*  None
*  
*******************************************************************************/
void VDAC1_direct_Write(uint8 value) 
{
    uint8 staticBits = (VDAC1_direct_DR & (uint8)(~VDAC1_direct_MASK));
    VDAC1_direct_DR = staticBits | ((uint8)(value << VDAC1_direct_SHIFT) & VDAC1_direct_MASK);
}


/*******************************************************************************
* Function Name: VDAC1_direct_SetDriveMode
********************************************************************************
*
* Summary:
*  Change the drive mode on the pins of the port.
* 
* Parameters:  
*  mode:  Change the pins to one of the following drive modes.
*
*  VDAC1_direct_DM_STRONG     Strong Drive 
*  VDAC1_direct_DM_OD_HI      Open Drain, Drives High 
*  VDAC1_direct_DM_OD_LO      Open Drain, Drives Low 
*  VDAC1_direct_DM_RES_UP     Resistive Pull Up 
*  VDAC1_direct_DM_RES_DWN    Resistive Pull Down 
*  VDAC1_direct_DM_RES_UPDWN  Resistive Pull Up/Down 
*  VDAC1_direct_DM_DIG_HIZ    High Impedance Digital 
*  VDAC1_direct_DM_ALG_HIZ    High Impedance Analog 
*
* Return: 
*  None
*
*******************************************************************************/
void VDAC1_direct_SetDriveMode(uint8 mode) 
{
	CyPins_SetPinDriveMode(VDAC1_direct_0, mode);
}


/*******************************************************************************
* Function Name: VDAC1_direct_Read
********************************************************************************
*
* Summary:
*  Read the current value on the pins of the Digital Port in right justified 
*  form.
*
* Parameters:  
*  None
*
* Return: 
*  Returns the current value of the Digital Port as a right justified number
*  
* Note:
*  Macro VDAC1_direct_ReadPS calls this function. 
*  
*******************************************************************************/
uint8 VDAC1_direct_Read(void) 
{
    return (VDAC1_direct_PS & VDAC1_direct_MASK) >> VDAC1_direct_SHIFT;
}


/*******************************************************************************
* Function Name: VDAC1_direct_ReadDataReg
********************************************************************************
*
* Summary:
*  Read the current value assigned to a Digital Port's data output register
*
* Parameters:  
*  None 
*
* Return: 
*  Returns the current value assigned to the Digital Port's data output register
*  
*******************************************************************************/
uint8 VDAC1_direct_ReadDataReg(void) 
{
    return (VDAC1_direct_DR & VDAC1_direct_MASK) >> VDAC1_direct_SHIFT;
}


/* If Interrupts Are Enabled for this Pins component */ 
#if defined(VDAC1_direct_INTSTAT) 

    /*******************************************************************************
    * Function Name: VDAC1_direct_ClearInterrupt
    ********************************************************************************
    * Summary:
    *  Clears any active interrupts attached to port and returns the value of the 
    *  interrupt status register.
    *
    * Parameters:  
    *  None 
    *
    * Return: 
    *  Returns the value of the interrupt status register
    *  
    *******************************************************************************/
    uint8 VDAC1_direct_ClearInterrupt(void) 
    {
        return (VDAC1_direct_INTSTAT & VDAC1_direct_MASK) >> VDAC1_direct_SHIFT;
    }

#endif /* If Interrupts Are Enabled for this Pins component */ 

#endif /* CY_PSOC5A... */

    
/* [] END OF FILE */
