/*******************************************************************************
* File Name: VDAC1_direct.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_VDAC1_direct_H) /* Pins VDAC1_direct_H */
#define CY_PINS_VDAC1_direct_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "VDAC1_direct_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 VDAC1_direct__PORT == 15 && ((VDAC1_direct__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    VDAC1_direct_Write(uint8 value) ;
void    VDAC1_direct_SetDriveMode(uint8 mode) ;
uint8   VDAC1_direct_ReadDataReg(void) ;
uint8   VDAC1_direct_Read(void) ;
uint8   VDAC1_direct_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define VDAC1_direct_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define VDAC1_direct_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define VDAC1_direct_DM_RES_UP          PIN_DM_RES_UP
#define VDAC1_direct_DM_RES_DWN         PIN_DM_RES_DWN
#define VDAC1_direct_DM_OD_LO           PIN_DM_OD_LO
#define VDAC1_direct_DM_OD_HI           PIN_DM_OD_HI
#define VDAC1_direct_DM_STRONG          PIN_DM_STRONG
#define VDAC1_direct_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define VDAC1_direct_MASK               VDAC1_direct__MASK
#define VDAC1_direct_SHIFT              VDAC1_direct__SHIFT
#define VDAC1_direct_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define VDAC1_direct_PS                     (* (reg8 *) VDAC1_direct__PS)
/* Data Register */
#define VDAC1_direct_DR                     (* (reg8 *) VDAC1_direct__DR)
/* Port Number */
#define VDAC1_direct_PRT_NUM                (* (reg8 *) VDAC1_direct__PRT) 
/* Connect to Analog Globals */                                                  
#define VDAC1_direct_AG                     (* (reg8 *) VDAC1_direct__AG)                       
/* Analog MUX bux enable */
#define VDAC1_direct_AMUX                   (* (reg8 *) VDAC1_direct__AMUX) 
/* Bidirectional Enable */                                                        
#define VDAC1_direct_BIE                    (* (reg8 *) VDAC1_direct__BIE)
/* Bit-mask for Aliased Register Access */
#define VDAC1_direct_BIT_MASK               (* (reg8 *) VDAC1_direct__BIT_MASK)
/* Bypass Enable */
#define VDAC1_direct_BYP                    (* (reg8 *) VDAC1_direct__BYP)
/* Port wide control signals */                                                   
#define VDAC1_direct_CTL                    (* (reg8 *) VDAC1_direct__CTL)
/* Drive Modes */
#define VDAC1_direct_DM0                    (* (reg8 *) VDAC1_direct__DM0) 
#define VDAC1_direct_DM1                    (* (reg8 *) VDAC1_direct__DM1)
#define VDAC1_direct_DM2                    (* (reg8 *) VDAC1_direct__DM2) 
/* Input Buffer Disable Override */
#define VDAC1_direct_INP_DIS                (* (reg8 *) VDAC1_direct__INP_DIS)
/* LCD Common or Segment Drive */
#define VDAC1_direct_LCD_COM_SEG            (* (reg8 *) VDAC1_direct__LCD_COM_SEG)
/* Enable Segment LCD */
#define VDAC1_direct_LCD_EN                 (* (reg8 *) VDAC1_direct__LCD_EN)
/* Slew Rate Control */
#define VDAC1_direct_SLW                    (* (reg8 *) VDAC1_direct__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define VDAC1_direct_PRTDSI__CAPS_SEL       (* (reg8 *) VDAC1_direct__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define VDAC1_direct_PRTDSI__DBL_SYNC_IN    (* (reg8 *) VDAC1_direct__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define VDAC1_direct_PRTDSI__OE_SEL0        (* (reg8 *) VDAC1_direct__PRTDSI__OE_SEL0) 
#define VDAC1_direct_PRTDSI__OE_SEL1        (* (reg8 *) VDAC1_direct__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define VDAC1_direct_PRTDSI__OUT_SEL0       (* (reg8 *) VDAC1_direct__PRTDSI__OUT_SEL0) 
#define VDAC1_direct_PRTDSI__OUT_SEL1       (* (reg8 *) VDAC1_direct__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define VDAC1_direct_PRTDSI__SYNC_OUT       (* (reg8 *) VDAC1_direct__PRTDSI__SYNC_OUT) 


#if defined(VDAC1_direct__INTSTAT)  /* Interrupt Registers */

    #define VDAC1_direct_INTSTAT                (* (reg8 *) VDAC1_direct__INTSTAT)
    #define VDAC1_direct_SNAP                   (* (reg8 *) VDAC1_direct__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_VDAC1_direct_H */


/* [] END OF FILE */
