/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define LINELENGTH 64

CYXDATA uint8 uart_line[LINELENGTH+2];
CYXDATA uint8 uart_line_length;
CYXDATA uint16 ADC_result;
CYXDATA uint16 parsed_int;
CYXDATA uint8 LED_state;
CYXDATA uint16 line_ix;

int main()
{
    uint8 ch;
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    VDAC8_1_Start();
    VDAC8_2_Start();
    PGA_1_Start();
    PGA_2_Start();
    PGA_3_Start();PGA_3_SetGain(PGA_3_GAIN_01);
    ADC_DelSig_1_Start();
    ADC_SAR_1_Start();
    ADC_SAR_2_Start();
//    AMux_1_Start();
 //   USBFS_1_Start(0, USBFS_1_DWR_VDDD_OPERATION);
    UART_1_Start();
    UART_1_PutString("PGA_ADC-Demo over UART\n");
    
    
    CyGlobalIntEnable; /* Uncomment this line to enable global interrupts. */
    for(;;)
    {
        line_ix =0;
        UART_1_PutChar('\x0a');
         while(1)
           {
             ch=UART_1_GetChar();
             while(ch==0)
               ch=UART_1_GetChar();
             uart_line[line_ix++] = ch;
             UART_1_PutChar(ch); // echo
             if ((line_ix >= LINELENGTH) || 
                  ch == '\x0d')
              break;
           }
           uart_line[line_ix] =0;
           switch (uart_line[0])
             {
              case '#': break; // comment  
              case 'A':
               parsed_int = atoi(uart_line+1); 
               VDAC8_1_SetValue(parsed_int);
               break;
              case 'B':
               parsed_int = atoi(uart_line+1); 
               VDAC8_2_SetValue(parsed_int);
               break;
              case 'G':
               parsed_int = atoi(uart_line+1);
               PGA_1_SetGain(parsed_int);
               break;
            case 'H':
               parsed_int = atoi(uart_line+1);
               PGA_2_SetGain(parsed_int);
               break; 
              case 'R':
                ADC_DelSig_1_StartConvert();
                ADC_DelSig_1_IsEndConversion(ADC_DelSig_1_WAIT_FOR_RESULT);
                ADC_result = ADC_DelSig_1_GetResult16();
                sprintf(&uart_line,"=%d\n",ADC_result);
                UART_1_PutString(&uart_line);
                break;  
              case 'S':
                ADC_SAR_1_StartConvert();
                ADC_SAR_1_IsEndConversion(ADC_SAR_1_WAIT_FOR_RESULT);
                ADC_result = ADC_SAR_1_GetResult16();
                 sprintf(&uart_line,"=%d\n",ADC_result);
                UART_1_PutString(&uart_line);
                                break; 
              case 'T':
                ADC_SAR_2_StartConvert();
                ADC_SAR_2_IsEndConversion(ADC_SAR_2_WAIT_FOR_RESULT);
                ADC_result = ADC_SAR_2_GetResult16();
                 sprintf(&uart_line,"=%d\n",ADC_result);
                UART_1_PutString(&uart_line);
                break;  
              case 'N':
                CY_SET_REG8(CYDEV_IO_PC_PRT2_PC1,0x0c);
                break;
              default:
                UART_1_PutChar('?');
              
            }
         
   
        
        
    }
}

/* [] END OF FILE */
